%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           python-fiat
Version:        0.3.4
Release:        2%{?dist}
Summary:        Generation of arbitrary order instances of the Lagrange elements

Group:          Applications/Engineering
License:        LGPLv2+
URL:            http://www.fenics.org/wiki/FIAT
Source0:        http://www.fenics.org/pub/software/fiat/FIAT-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

BuildRequires:  python
BuildRequires:  python-setuptools-devel
Requires:       numpy

%description
The FInite element Automatic Tabulator FIAT supports generation of arbitrary
order instances of the Lagrange elements on lines, triangles, and tetrahedra.
It is also capable of generating arbitrary order instances of Jacobi-type
quadrature rules on the same element shapes. Upcoming versions will also
support Hermite and nonconforming elements as well as H(div) and H(curl)
elements such as Raviart-Thomas and Nedelec. 


%prep
%setup -q -n FIAT-%{version}
sed -i -e '/^#!\//, 1d' FIAT/xpermutations.py


%build
python ./setup.py build


%install
rm -rf %{buildroot}
python ./setup.py install --skip-build --root %{buildroot}


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%{python_sitelib}/FIAT/
%{python_sitelib}/*.egg-info


%changelog
* Wed Feb 04 2009 Fabian Affolter <fabian@bernewireless.net> - 0.3.4-2
- Fixied license tag -> LGPLv2+

* Sat Jan 30 2009 Fabian Affolter <fabian@bernewireless.net> - 0.3.4-1
- Initial package for Fedora
